Here is a basic list of the devices that will run the Ride with GPS mobile app. This list is current as of November 2018.

iPhone

iOS:

  • iOS versions: 10.x, 11.x, 12.x

iOS devices:

  • iPhone 5
  • iPhone 5C
  • iPhone 5S
  • iPhone 6
  • iPhone 6 Plus
  • iPhone 6S
  • iPhone 6S Plus
  • iPhone SE
  • iPhone 7, 7 Plus
  • iPhone 8, 8 Plus
  • iPhone X, Xr, Xs

Note: Not all of these devices will run both 10.x and 11.x. See Apple for system requirements specific to your device.

iPad devices:

  • iPad (4th generation)
  • iPad Air
  • iPad Air 2
  • iPad (2017)
  • iPad Mini 2
  • iPad Mini 3
  • iPad Mini 4
  • iPad Pro

Note: Non-cellular (wifi-only) iPads only have location service through their WiFi connection, not suitable for navigating a ride.

Apple Watch:

  • Series 2 – Standalone recording, remote control of app
  • Series 3 – Standalone recording, remote control of app, rides must upload while connected to iPhone. Currently does not use the LTE connection.

Android:

Currently on Android we support all devices with:

  • Android version 4.1.x or higher (Jellybean through Oreo).
  • OpenGL ES version 2.0+

Devices without a GPS can install the app but will not be able to use logging features.

This accommodates 13483+ devices known to Google play.

Users with older Android versions ( down to 2.2, Froyo ) will receive an older version of our app. ( 1.6.1 )

Users who see an unsupported device message should be informed that their video hardware cannot render our maps in a sufficiently battery efficient manner.

Facebooktwitterredditpinterestby feather